﻿#language: ru

@OPC_hands

Функционал: 06_OPC_hands.01.011 Заполнение справочника учетных точек и кнопок учетных точек

Сценарий: 06_OPC_hands.01.011 Создание учетной точки Посолка
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Посолка'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск сыра'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'				|
		| 'Оперативный учет на рабочем центре'	|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать пакеты'
	И я устанавливаю флаг 'Печатать этикетку партии'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'	
	И я нажимаю кнопку выбора у поля 'Характеристика выпуска'
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "Склады для выбора"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маслоцех'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг "Использовать ОПС"
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно "Датчики ОПС"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Танк 1 Приемка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Посолка (Учетные точки)'
	И я закрыл все окна клиентского приложения